#
# spec file for package lxmenu-data
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lxmenu-data
Version:        0.1.5
Release:        1.20
Url:            http://www.lxde.org
Source0:        %{name}-%{version}.tar.xz
# PATCH-FEATURE-OPENSUSE lxmenu-data-0.1.1-menu-customization.patch -- Guido Berhörster guido+opensuse.org@berhoerster.name
# Clean up lxde menu and improve user experience
Patch0:         %name-0.1.1-menu-customization.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc
BuildRequires:  gettext-tools
BuildRequires:  intltool
BuildRequires:  perl
BuildRequires:  perl-XML-Parser
BuildRequires:  pkg-config
Requires(pre):	desktop-file-utils
Requires(post):	desktop-file-utils
BuildArch:      noarch
Summary:        A tool to build desktop menu for LXDE 
License:        GPL-2.0
Group:          System/GUI/LXDE

%description
LXSession is the default X11 session manager of LXDE.
(LXDE: Lightweight X11 Desktop Environment)
http://lxde.sourceforge.net/

This package provides files required to build freedesktop.org 
menu spec-compliant desktop menus for LXDE.

%prep
%setup -q
%patch0 -p1

%build
%configure
%__make %{?jobs:-j%{jobs}} V=1

%install
%makeinstall

%post
%desktop_database_post

%postun
%desktop_database_postun

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING
%dir %_sysconfdir/xdg/menus
%config %_sysconfdir/xdg/menus/lxde-applications.menu
%{_datadir}/desktop-directories

%changelog
* Mon Dec 26 2016 trcs@gmx.com
- new upstream version 0.1.5
  * Include autogen.sh into distro tarball, it may be required to
    rebuild sources
  * Include .directory files into distro tarball, non-GNU make
    cannot regenerate them
  * Italian translation update
* Sat Sep 13 2014 trcs@gmx.com
- new upstream version 0.1.4
  * rename lxde-science.directory into lxde-science-math.directory
* Mon Sep  8 2014 trcs@gmx.com
- new upstream version 0.1.3
  * add missing lxde-science.directory.in into
    desktop-directories/Makefile.am
  * add .gitignore file and remove autogenerated po/Makefile.in.in
    file
  * autogen.sh: do not do configure until $DOCONGIGURE is set to
    non-empty
  * generate po/LINGUAS on the fly
  * fix autogen.sh and rename configure.in to configure.ac
  * Python 3 compatibility
  * update AUTHORS and COPYING
  * configure by default
  * allow autogen.sh from out of tree
  * fix build with automake > 1.11
  * translation updates
* Tue May 13 2014 andrea@opensuse.org
- spec file clean up
* Sun Jul 24 2011 andrea@opensuse.org
- new upstream version 0.1.2
  * translations updates
- removed lxmenu-data-0.1.1-fix-translations.patch now
  in upstream code
- spec file clean up
* Mon Jun  7 2010 andrea@opensuse.org
- changed RPM Group to System/GUI/LXDE
* Sat May 29 2010 andrea@opensuse.org
- added lxmenu-data-0.1.1-fix-translations.patch to
  fix translations
* Fri May 14 2010 andrea@opensuse.org
- Rename guido patch to lxmenu-data-0.1.1-menu-customization.patch
- added patch tag as LXDE packaging team guidelines
- fixed BuildRequires
* Fri May 14 2010 guido+opensuse.org@berhoerster.name
- clean up and simplify menu structure
* Tue Dec 15 2009 andrea@opensuse.org
- few fix for Factory commit
* Mon Sep 14 2009 andrea@opensuse.org
- added patch to restore "system" menu entry
* Wed Jul  8 2009 andrea@opensuse.org
- New upstream version 0.1.1
* Fri May 22 2009 andrea@opensuse.org
- new package
